# OgreShaderFunction.h File Reference

`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderParameter.h"`
`#include "OgreShaderFunctionAtom.h"`

Go to the source code of this file.

## Classes

class | Ogre::RTShader::Function
| A class that represents a shader based program function. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef vector< Function * >::type | Ogre::RTShader::ShaderFunctionList
typedef ShaderFunctionList::iterator | Ogre::RTShader::ShaderFunctionIterator
typedef ShaderFunctionList::const_iterator | Ogre::RTShader::ShaderFunctionConstIterator

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09